---
- name: Check the kernel FIPS mode
  ansible.builtin.slurp:
    src: /proc/sys/crypto/fips_enabled
  register: __sshd_kernel_fips_mode
  failed_when: false

- name: Check the userspace FIPS mode
  ansible.builtin.slurp:
    src: /etc/system-fips
  register: __sshd_userspace_fips_mode
  failed_when: false
